Radix cross Linux

The main Radix cross Linux repository contains the build scripts of packages, which have the most complete and common functionality for desktop machines

452 Commits   2 Branches   1 Tag
Index: Makefile
===================================================================
--- Makefile	(nonexistent)
+++ Makefile	(revision 5)
@@ -0,0 +1,56 @@
+
+COMPONENT_TARGETS = $(HARDWARE_NOARCH)
+
+
+include ../../../../build-system/constants.mk
+
+
+url         = $(DOWNLOAD_SERVER)/sources/packages/a/c2man
+
+version     = 2.0.42
+pkgname     = c2man
+suffix      = tar.gz
+
+tarball     = $(addsuffix .$(suffix), $(addprefix $(pkgname)-, $(version)))
+sha1s       = $(addsuffix .sha1sum, $(tarball))
+
+patches      = $(CURDIR)/patches/c2man-2.0.42-destdir.patch
+
+.NOTPARALLEL: $(patches)
+
+
+BUILD_TARGETS = $(tarball) $(patches) $(sha1s)
+
+
+include ../../../../build-system/core.mk
+
+
+.PHONY: download_clean
+
+
+$(tarball):
+	@echo -e "\n======= Downloading $(tarball) file =======" ; \
+	 for tarball in $(tarball) ; do \
+	   echo "$(url)/$$tarball" | xargs -n 1 -P 100 wget $(WGET_OPTIONS) - & \
+	 done ; wait
+
+$(sha1s): $(tarball)
+	@for sha in $@ ; do \
+	   echo -e "\n======= Downloading '$$sha' signature =======\n" ; \
+	   echo "$(url)/$$sha" | xargs -n 1 -P 100 wget $(WGET_OPTIONS) - & wait %1 ; \
+	   touch $$sha ; \
+	   echo -e "\n======= Check the '$$sha' sha1sum =======\n" ; \
+	   sha1sum --check $$sha ; ret="$$?" ; \
+	   if [ "$$ret" == "1" ]; then \
+	     echo -e "\n======= ERROR: Bad '$$sha' sha1sum =======\n" ; \
+	     exit 1 ; \
+	   fi ; \
+	 done
+
+$(patches): $(sha1s)
+	@echo -e "\n======= Create Patches =======\n" ; \
+	 ( cd create-2.0.42-destdir-patch ; ./create.patch.sh ) ; \
+	 echo -e "\n"
+
+download_clean:
+	@rm -f $(tarball) $(sha1s) $(patches)
Index: create-2.0.42-destdir-patch/c2man-2.0.42-new/Makefile.SH
===================================================================
--- create-2.0.42-destdir-patch/c2man-2.0.42-new/Makefile.SH	(nonexistent)
+++ create-2.0.42-destdir-patch/c2man-2.0.42-new/Makefile.SH	(revision 5)
@@ -0,0 +1,176 @@
+case $CONFIG in
+'')
+	if test ! -f config.sh; then
+		ln ../config.sh . || \
+		ln ../../config.sh . || \
+		ln ../../../config.sh . || \
+		(echo "Can't find config.sh."; exit 1)
+	fi 2>/dev/null
+	. ./config.sh
+	;;
+esac
+: This forces SH files to create target in same directory as SH file.
+: This is so that make depend always knows where to find SH derivatives.
+case "$0" in
+*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
+esac
+echo "Extracting Makefile (with variable substitutions)"
+: This section of the file will have variable substitutions done on it.
+: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
+: Protect any dollar signs and backticks that you do not want interpreted
+: by putting a backslash in front.  You may delete these comments.
+$spitshell >Makefile <<!GROK!THIS!
+# $Id: Makefile.SH,v 2.0.1.32 2000/02/25 02:20:39 greyham Exp greyham $
+#
+# UNIX makefile for manual page generator
+# Note: any changes made here will be lost next time Configure is run!.
+
+CC=$cc $optimize
+YACC=$yacc $yaccflags
+LEX=$lex $lexflags
+SED=$sed
+CAT=$cat
+RM=$rm
+MV=$mv
+CP=$cp
+ECHO=$echo
+MKDEP=$mkdep
+
+# where we get installed
+bin=$binexp
+privlib=$installprivlib
+
+mansrc=$mansrc
+manext=$manext
+CFLAGS=$ccflags
+WARNFLAGS=$warnflags
+LDFLAGS=$ldflags
+LIBS=$libs $liblex $libyacc
+!GROK!THIS!
+
+: In the following dollars and backticks do not need the extra backslash.
+$spitshell >>Makefile <<'!NO!SUBS!'
+
+# As Larry said, "Grrrr"
+SHELL=/bin/sh
+
+OSOURCES =	config.h c2man.h semantic.h symbol.h strconcat.h \
+		strappend.h manpage.h enum.h output.h lex.l grammar.y
+DCSOURCES =	c2man.c semantic.c string.c symbol.c strconcat.c \
+		strappend.c manpage.c enum.c nroff.c texinfo.c latex.c html.c \
+		autodoc.c ascii.c
+SOURCES =	$(OSOURCES) $(DCSOURCES)
+CSOURCES =	$(DCSOURCES) y.tab.c
+OBJECTS =	c2man.o semantic.o string.o symbol.o y.tab.o strconcat.o \
+		strappend.o manpage.o enum.o nroff.o texinfo.o latex.o html.o \
+		autodoc.o ascii.o
+GENERATED =	c2man example.inc ctype_ex.inc y.tab.c lex.yy.c y.output \
+		fixexamp.sed flatten.sed
+
+
+all: c2man c2man.1
+
+install: all
+	-mkdir -p $(DESTDIR)$(bin)
+	-mkdir -p $(DESTDIR)$(mansrc)
+	$(CP) c2man $(DESTDIR)$(bin)
+	$(CP) c2man.1 $(DESTDIR)$(mansrc)/c2man.$(manext)
+	-mkdir -p $(DESTDIR)$(privlib)
+	chmod 755 $(DESTDIR)$(privlib)
+	-mkdir -p $(DESTDIR)$(privlib)/eg
+	chmod 755 $(DESTDIR)$(privlib)/eg
+	$(CP) eg/*.[chly] $(DESTDIR)$(privlib)/eg
+	chmod 755 $(DESTDIR)$(privlib)/eg/*
+
+uninstall:
+	$(RM) -f $(DESTDIR)$(bin)/c2man $(DESTDIR)$(mansrc)/c2man.$(manext)
+	$(RM) -f $(DESTDIR)$(privlib)/eg/*
+	rmdir $(DESTDIR)$(privlib)/eg
+	rmdir $(DESTDIR)$(privlib)
+
+c2man: $(OBJECTS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)
+
+c2man.1: c2man.man c2man example.inc ctype_ex.inc flatten.sed
+	$(SED) -f flatten.sed < c2man.man > c2man.1
+
+.c.o:
+	$(CC) $(CFLAGS) $(WARNFLAGS) -c $<
+
+y.tab.c: grammar.y
+	@$(ECHO) Expect 61 shift/reduce conflicts.
+	$(YACC) grammar.y
+
+# don't compile y.tab.c with all warnings; yacc/bison are not up to it.
+y.tab.o: y.tab.c lex.yy.c
+	$(CC) $(CFLAGS) -c y.tab.c
+
+lex.yy.c: lex.l
+	$(LEX) -n lex.l
+
+example.inc: c2man example.h fixexamp.sed
+	c2man -o- example.h | $(SED) -f fixexamp.sed >example.inc
+
+ctype_ex.inc: c2man ctype_ex.h fixexamp.sed
+	c2man -o- -g ctype_ex.h | $(SED) -f fixexamp.sed >ctype_ex.inc
+
+fixexamp.sed: fixexamp.in
+	$(SED) -e '/^#/d' fixexamp.in > fixexamp.sed
+
+flatten.sed: flatten.SH config.sh
+	sh flatten.SH
+
+Makefile: Makefile.SH config.sh
+	sh Makefile.SH
+
+config.h: config_h.SH config.sh
+	sh config_h.SH
+
+TAGS: $(SOURCES)
+	etags -t $(SOURCES)
+
+clean:
+	$(RM) -f *.o *.s *.bak *~ *.log $(GENERATED) core
+
+distclean realclean: clean
+	$(RM) -f Makefile config.sh mkdep c2man.kit?
+
+lint:
+	lint -b $(CFLAGS) $(CSOURCES)
+
+print:
+	cpr $(SOURCES) | lpr -J'c2man'
+
+test: c2man
+	@echo "Running c2man over the examples..." 1>&2
+	@for file in eg/*.[chly]; do ./c2man -v -o- $$file; done
+	@echo "Running c2man over its own source code..." 1>&2
+	@for file in $(DCSOURCES); do ./c2man -v -o- $$file; done
+	@echo "Running c2man over the tests..." 1>&2
+	@for file in test/*.[chly]; do ./c2man -v -o- $$file; done
+	@echo "Hmmm, test seemed to go OK." 1>&2
+
+depend:
+	$(SED) -e '1,/^# DO NOT/!d' < Makefile > Makefile.new
+	$(MKDEP) $(DCSOURCES) >> Makefile.new
+	- test ! -f y.tab.c -o ! -f lex.yy.c || $(MKDEP) y.tab.c >> Makefile.new
+	$(MV) -f Makefile.new Makefile
+
+# y.tab.c dependancies updated manually since it won't exist yet when make
+# depend is first run.
+y.tab.o: c2man.h
+y.tab.o: config.h
+y.tab.o: confmagic.h
+y.tab.o: enum.h
+y.tab.o: manpage.h
+y.tab.o: semantic.h
+y.tab.o: strappend.h
+y.tab.o: strconcat.h
+y.tab.o: symbol.h
+
+# DO NOT DELETE THIS LINE! make depend DEPENDS ON IT!
+c2man.o:
+	@echo "You must run a make depend first."; exit 1
+!NO!SUBS!
+chmod 755 Makefile
+$eunicefix Makefile

Property changes on: create-2.0.42-destdir-patch/c2man-2.0.42-new/Makefile.SH
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: create-2.0.42-destdir-patch/c2man-2.0.42-new
===================================================================
--- create-2.0.42-destdir-patch/c2man-2.0.42-new	(nonexistent)
+++ create-2.0.42-destdir-patch/c2man-2.0.42-new	(revision 5)

Property changes on: create-2.0.42-destdir-patch/c2man-2.0.42-new
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~
Index: create-2.0.42-destdir-patch/create.patch.sh
===================================================================
--- create-2.0.42-destdir-patch/create.patch.sh	(nonexistent)
+++ create-2.0.42-destdir-patch/create.patch.sh	(revision 5)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+VERSION=2.0.42
+
+tar --files-from=file.list -xzvf ../c2man-$VERSION.tar.gz
+mv c2man-$VERSION c2man-$VERSION-orig
+
+cp -rf ./c2man-$VERSION-new ./c2man-$VERSION
+
+diff --unified -Nr  c2man-$VERSION-orig  c2man-$VERSION > c2man-$VERSION-destdir.patch
+
+mv c2man-$VERSION-destdir.patch ../patches
+
+rm -rf ./c2man-$VERSION
+rm -rf ./c2man-$VERSION-orig

Property changes on: create-2.0.42-destdir-patch/create.patch.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: create-2.0.42-destdir-patch/file.list
===================================================================
--- create-2.0.42-destdir-patch/file.list	(nonexistent)
+++ create-2.0.42-destdir-patch/file.list	(revision 5)
@@ -0,0 +1 @@
+c2man-2.0.42/Makefile.SH
Index: create-2.0.42-destdir-patch
===================================================================
--- create-2.0.42-destdir-patch	(nonexistent)
+++ create-2.0.42-destdir-patch	(revision 5)

Property changes on: create-2.0.42-destdir-patch
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~
Index: patches/README
===================================================================
--- patches/README	(nonexistent)
+++ patches/README	(revision 5)
@@ -0,0 +1,6 @@
+
+/* begin *
+
+   TODO: Leave some comment here.
+
+ * end */
Index: patches
===================================================================
--- patches	(nonexistent)
+++ patches	(revision 5)

Property changes on: patches
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~
Index: .
===================================================================
--- .	(nonexistent)
+++ .	(revision 5)

Property changes on: .
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~